## INTRODUCTION

The IP Info module summarizes information for IPs:

- Log messages with the IP
- Is the IP banned?
- Links to IP lookup services

## REQUIREMENTS

Drupal core modules:

- [Ban](https://www.drupal.org/docs/8/core/modules/ban)
- [Database Logging](https://www.drupal.org/docs/8/core/modules/dblog)

## RECOMMENDED MODULES

- [CrowdSec](https://www.drupal.org/project/crowdsec)
  Once the module is installed and the 'CTI API Key' is added to the CrowdSec
  configuration (/admin/config/services/crowdsec), the IP Info module will
  display information about the IP from the
  [CrowdSec database](https://www.crowdsec.net/our-data).

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION

No configuration is required. But you can specify an [IPinfo](https://ipinfo.io)
token or [ipapi.is](https://ipapi.is) key in the settings. The token/key is used
to display information about IPs directly in the Drupal administration.

    # Add this to your settings.php.
    $settings['ip_info']['ipinfo_io_token'] = 'your_token';
    $settings['ip_info']['ipapi_is_key'] = 'your_key';

## MAINTAINERS

Current maintainers:

- [Antonín Slejška](https://www.drupal.org/u/anton%C3%ADn-slej%C5%A1ka)
